<div class="absolute inset-0 flex flex-col min-w-0 overflow-hidden">
    <!-- Header -->
    <div class="flex flex-row flex-0 items-center justify-between p-6 sm:pt-2 pb-10 sm:px-10">
        <div class="flex-1 min-w-0">
            <!-- Title -->
            <div class="mt-1">
                <h2 class="text-3xl font-extrabold tracking-tight leading-10 truncate">
                    ข้อมูลการเยี่ยมบ้าน
                </h2>
            </div>
        </div>
        <!-- Actions -->
        <div class="flex shrink-0 items-center mt-6 sm:mt-0 sm:ml-4">
            <button class="ml-3" mat-flat-button matTooltip="กลับ" class="bg-red-300 text-white" (click)="back()">
                <mat-icon class="icon-size-5 mr-2" [svgIcon]="'heroicons_solid:chevron-left'"></mat-icon>
                Back
            </button>
        </div>
    </div>

    <!-- Main -->
    <div class="flex-auto -mt-12 p-4 shadow overflow-y-auto bg-card" cdkScrollable>
        <!-- CONTENT GOES HERE -->
        <div class="h-fit w-full">
            <!-- //วางเนื้อหางานตรงนี้ -->
            <div class="flex flex-row :w-1/2 md:w-full mb-2 ">
                <mat-card class="w-full">
                    <mat-card-header class="bg-green-200 rounded-t-xl pb-2">
                        <mat-card-title class="pl-2 text-xl font-bold">ข้อมูลการส่งเยี่ยมบ้าน</mat-card-title>
                    </mat-card-header>
                    <div class="flex flex-col lg:flex-row bg-green-50 w-full rounded-b-xl">
                        <div class=" w-full lg:w-1/2 pl-4 my-4">
                            <!-- patient info -->
                            <div class="flex flex-col">
                                <span class="text-xl mb-2"><b>ข้อมูลผู้ป่วย</b></span>
                                <span class="mx-2 mb-2"><b>ชื่อ-สกุล :</b> {{ itemStorage.title }}{{
                                    itemStorage.first_name }} {{ itemStorage.last_name }}</span>
                                <span class="mx-2 mb-2"><b>เลขบัตรประชาชน :</b> {{ itemStorage.cid | thaicid }}</span>
                                <span class="mx-2 mb-2"><b>เพศ :</b> {{ itemStorage.gender_name }}</span>
                                <span class="mx-2 mb-2"><b>วันเกิด :</b> {{ itemStorage.dob | thaidate : "medium"
                                    }}</span>
                                <span class="mx-2 mb-2"><b>อายุ :</b> {{ itemStorage.age | thaiage }}</span>
                                <span class="mx-2 mb-2"><b>สิทธิการรักษา :</b> {{ itemStorage.patient_right }}</span>
                                <span class="mx-2 mb-2"><b>ที่อยู่ปัจจุบัน: </b> {{ itemStorage.patient_address_name
                                    }}</span>
                                <span class="mx-2 mb-2"><b>เบอร์ติดต่อ :</b> {{itemStorage.phone_number}} </span>
                            </div>
                        </div>

                        <!-- send to home care info -->
                        <div class="w-full lg:w-1/2 pl-4 my-4">
                            <div class="flex flex-col">
                                <span class="text-xl mb-2"><b>ข้อมูลการส่งเยี่ยม</b></span>
                                <span class="mx-2 mb-2"><b>กำหนดวันเยี่ยมบ้าน :</b> {{ itemStorage.visit_date | thaidate
                                    : "medium"}}</span>
                                <span class="mx-2 mb-2"><b>หน่วยที่เยี่ยมบ้าน :</b> {{ itemStorage.refer_hospname
                                    }}</span>
                                <span class="mx-2 mb-2"><b>หอผู้ป่วยที่ส่งออก :</b> {{ itemStorage.department }}</span>
                                <span class="mx-2 mb-2"><b>ส่งต่อหน่วยเยี่ยมบ้าน :</b> {{ itemStorage.refer_to_pcuname
                                    }}</span>

                                <p class="font-semibold mt-2 mx-2 mb-2">
                                    ความเร่งด่วนในการเยี่ยมบ้าน :
                                    <span *ngIf="refer_level == '1'" class="text-green-600">{{ refer_level_name }}
                                    </span>
                                    <span *ngIf="refer_level == '2'" class="text-yellow-600">{{ refer_level_name }}
                                    </span>
                                    <span *ngIf="refer_level == '3'" class="text-red-600">{{ refer_level_name }}
                                    </span>
                                </p>

                                <p class="font-semibold mx-2 mb-2">
                                    สภาวะผู้ป่วยก่อนออกจากโรงพยาบาล :
                                    <span *ngIf="patient_status == '1'" class="text-red-600">{{ patient_status_name }}
                                    </span>
                                    <span *ngIf="patient_status == '2'" class="text-yellow-600">{{ patient_status_name
                                        }}
                                    </span>
                                    <span *ngIf="patient_status == '3'" class="text-green-600">{{ patient_status_name }}
                                    </span>
                                </p>
                                <span *ngIf="itemStorage.is_smoke == '0'" class="mx-2 mb-2"><b>สถานะการสูบบุหรี่ :</b>
                                    ไม่สูบ </span>
                                <span *ngIf="itemStorage.is_smoke == '1'" class="mx-2 mb-2"><b>สถานะการสูบบุหรี่ :</b>
                                    สูบ </span>
                                <span class="mx-2 mb-2"><b>สาเหตุการเยี่ยมบ้าน :</b> {{ catagoryName }}</span>
                                <span class="mx-2 mb-2"><b>ปัญหาที่ต้องดูแล/อุปกรณ์ที่ติดตัวผู้ป่วย :</b>{{ itemName }}
                                </span>
                                <span class="mx-2 mb-2"><b>ข้อมูลเพิ่มเติม :</b> {{ itemStorage.extra_detail }}</span>
                            </div>
                        </div>

                        <!-- treatment info -->
                        <div class="w-full lg:w-1/2 pl-4 my-4">
                            <div class="flex flex-col">
                                <span class="text-xl mb-2"><b>ข้อมูลการรักษา</b></span>
                                <span class="mx-2 mb-2"><b>การวินิจฉัยโรค :</b> {{ itemStorage.diag_text }}</span>
                                <div class=" w-full pl-4 my-4">
                                    <table class="w-full">
                                        <thead>
                                            <tr>
                                                <th class="w-1/4">ICD10</th>
                                                <th class="w-1/2">การวินิจฉัยโรค</th>
                                                <th class="w-1/4">ประเภท</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr *ngFor="let item of diagnosis" style="border-top:solid 1px #00215E">
                                                <td class="text-center">{{ item.diag_code }}</td>
                                                <td>{{ item.diag_name }}</td>
                                                <td class="text-center">{{ item.diag_type == 1 ? 'Primary' : 'Secondary'
                                                    }}</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                                <span class="mx-2 mb-2"><b>วันที่จำหน่าย :</b> {{ itemStorage.discharge_date | thaidate
                                    : "medium" }}</span>
                            </div>
                        </div>
                    </div>
                    <mat-card-header class="bg-green-200 rounded-t-xl pb-2">
                        <mat-card-title class="pl-2 text-xl font-bold">ข้อมูลการเยี่ยมบ้าน</mat-card-title>
                    </mat-card-header>
                    <div class="pl-10 min-w-fit mr-2 mt-2 basic-container"
                        *ngFor="let home_visit of profile ; let i = index ">
                        <mat-accordion class="example-headers-align">
                            <mat-expansion-panel [expanded]="step === i" (opened)="setStep(i)">
                                <mat-expansion-panel-header class="bg-gray-200">
                                    <mat-panel-title>
                                        <mat-icon class="icon-size-5 mr-2"
                                            [svgIcon]="'heroicons_solid:chevron-down'"></mat-icon>
                                        ครั้งที่ :
                                        {{i + 1}}
                                    </mat-panel-title>
                                    <mat-panel-title>
                                        <mat-icon class="icon-size-5 mr-2" [svgIcon]=""></mat-icon>
                                        วันที่เยี่ยม
                                        {{
                                        home_visit.home_visit_date
                                        | thaidate : "medium"
                                        }}
                                    </mat-panel-title>
                                    <mat-panel-description>
                                        {{
                                        home_visit.coc_status
                                        | itemName : "coc_status"
                                        }}
                                        <!-- <mat-icon>remove_red_eye</mat-icon> -->
                                        <mat-icon>account_circle</mat-icon>

                                    </mat-panel-description>
                                </mat-expansion-panel-header>
                                <div class="flex flex-col">
                                    <span class="mx-2 mb-2"><b>ผู้ดูแลผู้ป่วยที่บ้าน :</b> {{ home_visit.care_giver_name
                                        }} <b>เบอร์โทรศัพท์ :</b> {{ home_visit.care_giver_contact }}</span>
                                    <span class="mx-2 mb-2"><b>บัตรผู้พิการ :</b> {{ home_visit.disablility_card |
                                        itemName : "disablity" }}</span>
                                    <p class="mx-2 mb-2">
                                        <b>Vital Sign : </b>
                                        <span class="pl-4">BT : {{ home_visit.body_temp }} ํC</span>
                                        <span class="pl-4">BP : {{ home_visit.sbp }}/{{home_visit.dbp }} mmHg</span>
                                        <span class="pl-4">PR : {{ home_visit.pulse_rate }} ครั้ง/นาที</span>
                                        <span class="pl-4">RR : {{ home_visit.respiratory_rate }} ครั้ง/นาที</span>
                                        <span class="pl-4">O<sub class="text-xs">2</sub>SAT Room Air : {{
                                            home_visit.o2sat }} %</span>
                                        <span class="pl-4">BW : {{ home_visit.body_weight }} กก.</span>
                                        <span class="pl-4">Height : {{ home_visit.body_height }} ซม.</span>
                                        <span class="pl-4">BMI : {{ home_visit.bmi }}</span>
                                    </p>
                                    <span class="mx-2 mb-2"><b>Gait Aid :</b> {{ home_visit.gait_aid }}</span>
                                    <span class="mx-2 mb-2"><b>อุปกรณ์ที่รักษาที่บ้าน :</b> {{ home_visit.home_item
                                        }}</span>
                                    <span class="mx-2 mb-2"><b>การใช้ยา :</b> {{ home_visit.med_use | itemName :
                                        "med_use" }} {{ home_visit.med_use_problem }} </span>
                                    <span class="mx-2 mb-2"><b>การใช้ยา/อาหารเสริม/สมุนไพร :</b> {{
                                        home_visit.self_use_list | itemName : "self_use_list" }} {{ home_visit.self_use
                                        }}</span>
                                    <span class="mx-2 mb-2"><b>การใช้สารเสพติด :</b> {{home_visit.drugs_use | itemName :
                                        "drugs_use"}} {{ home_visit.drugs_use_other }}</span>
                                    <span class="mx-2 mb-2"><b>การประเมิน 2Q :</b> {{ home_visit.result_name }}</span>
                                </div>

                                <mat-divider></mat-divider>
                                <!-- ////////////////////////////////////////////evaluate/////////////////////// -->
                                <div class="flex flex-auto flex-wrap my-2 bg-indigo-100 p-2 rounded-md">
                                    <div *ngFor="let e of home_visit.result">
                                        <button mat-raised-button class="bg-indigo-600 rounded-xl m-1 text-white"
                                            (click)="openDialog(e,profile.length,i )">
                                            {{ e.question_text }}
                                        </button>
                                    </div>
                                </div>
                                <!-- ////////////////////////////////////////////evaluate End/////////////////////// -->
                                <mat-divider></mat-divider>
                                <p>
                                    <b>สรุปผลการเยี่ยมบ้าน</b> :
                                    {{ home_visit.summary }}
                                </p>
                                <p>
                                    <b>ปัญหาหรือข้อมูลเพิ่มเติม</b> :
                                    {{ home_visit.problem_and_comment }}
                                </p>
                                <p>
                                    <b>ผลการเยี่ยมบ้าน</b> :
                                    {{
                                    home_visit.result_code | itemName : "result"
                                    }}
                                </p>
                                <p>
                                    <b>แผนการดูแล</b> :
                                    {{ home_visit.plan_code | itemName : "plan" }}
                                    {{ home_visit.plan_name | thaidate }}
                                </p>
                            </mat-expansion-panel>
                        </mat-accordion>
                    </div>
                    <mat-card-header class="bg-green-200 rounded-t-md pb-2 mt-4">
                        <mat-card-title class="pl-5 text-2xl"></mat-card-title>
                    </mat-card-header>
                    <mat-tab-group>
                        <mat-tab label="ยาที่ได้รับ">
                            <table mat-table [dataSource]="dataSourceDrug" multiTemplateDataRows
                                class="mat-elevation-z8">
                                <ng-container matColumnDef="action">
                                    <th mat-header-cell *matHeaderCellDef>#</th>
                                    <td mat-cell *matCellDef="let element">
                                        <mat-checkbox class="example-margin"></mat-checkbox>
                                    </td>
                                </ng-container>

                                <ng-container matColumnDef="drugdate">
                                    <th mat-header-cell *matHeaderCellDef>
                                        วันที่จ่ายยา
                                    </th>
                                    <td mat-cell *matCellDef="let element">
                                        {{ element.dispend_date | thaidate }}
                                    </td>
                                </ng-container>

                                <ng-container matColumnDef="drugname">
                                    <th mat-header-cell *matHeaderCellDef>
                                        ชื่อยา
                                    </th>
                                    <td mat-cell *matCellDef="let element">
                                        {{ element.medicine_name }}
                                    </td>
                                </ng-container>

                                <ng-container matColumnDef="druguse">
                                    <th mat-header-cell *matHeaderCellDef>
                                        วิธีใช้
                                    </th>
                                    <td mat-cell *matCellDef="let element">
                                        {{ element.medicine_use }}
                                    </td>
                                </ng-container>

                                <ng-container matColumnDef="drugqty">
                                    <th mat-header-cell *matHeaderCellDef>จำนวน</th>
                                    <td mat-cell *matCellDef="let element">
                                        {{ element.qty }}
                                    </td>
                                </ng-container>

                                <tr mat-header-row *matHeaderRowDef="displayedColumnsDrug"></tr>
                                <tr mat-row *matRowDef="
                                        let row;
                                        columns: displayedColumnsDrug
                                    "></tr>
                            </table>
                        </mat-tab>
                        <mat-tab label="ผลการตรวจทางห้องปฏิบัติการ">
                            <table mat-table [dataSource]="dataSourceLab">
                                <ng-container matColumnDef="action">
                                    <th mat-header-cell *matHeaderCellDef>#</th>
                                    <td mat-cell *matCellDef="let element">
                                        <mat-checkbox class="example-margin"></mat-checkbox>
                                    </td>
                                </ng-container>

                                <ng-container matColumnDef="labdate">
                                    <th mat-header-cell *matHeaderCellDef>
                                        วันที่ - เวลาตรวจ
                                    </th>
                                    <td mat-cell *matCellDef="let element">
                                        {{ element.lab_datetime | thaidate }}
                                    </td>
                                </ng-container>

                                <ng-container matColumnDef="labname">
                                    <th mat-header-cell *matHeaderCellDef>
                                        รายการ
                                    </th>
                                    <td mat-cell *matCellDef="let element">
                                        {{ element.lab_test }}
                                    </td>
                                </ng-container>

                                <ng-container matColumnDef="labresult">
                                    <th mat-header-cell *matHeaderCellDef>
                                        ผลการตรวจ
                                    </th>
                                    <td mat-cell *matCellDef="let element">
                                        {{ element.lab_result }}
                                    </td>
                                </ng-container>

                                <ng-container matColumnDef="labnormal">
                                    <th mat-header-cell *matHeaderCellDef>
                                        ค่าปกติ
                                    </th>
                                    <td mat-cell *matCellDef="let element">
                                        {{ element.lab_normal }}
                                    </td>
                                </ng-container>

                                <tr mat-header-row *matHeaderRowDef="displayedColumnsLab"></tr>
                                <tr mat-row *matRowDef="
                                        let row;
                                        columns: displayedColumnsLab
                                    "></tr>
                            </table>
                        </mat-tab>
                        <mat-tab label="ผลการตรวจทางรังสี">
                            <table mat-table [dataSource]="dataSourceXray" class="mat-elevation-z8">
                                <ng-container matColumnDef="action">
                                    <th mat-header-cell *matHeaderCellDef>#</th>
                                    <td mat-cell *matCellDef="let element">
                                        <mat-checkbox class="example-margin"></mat-checkbox>
                                    </td>
                                </ng-container>

                                <ng-container matColumnDef="xraydate">
                                    <th mat-header-cell *matHeaderCellDef>
                                        วันที่ - เวลาตรวจ
                                    </th>
                                    <td mat-cell *matCellDef="let element">
                                        {{ element.xray_datetime }}
                                    </td>
                                </ng-container>

                                <ng-container matColumnDef="xrayname">
                                    <th mat-header-cell *matHeaderCellDef>
                                        รายการ
                                    </th>
                                    <td mat-cell *matCellDef="let element">
                                        {{ element.xray_name }}
                                    </td>
                                </ng-container>

                                <ng-container matColumnDef="xrayresult">
                                    <th mat-header-cell *matHeaderCellDef>
                                        ผลการตรวจ
                                    </th>
                                    <td mat-cell *matCellDef="let element">
                                        {{ element.xray_result }}
                                    </td>
                                </ng-container>

                                <ng-container matColumnDef="comments">
                                    <th mat-header-cell *matHeaderCellDef>
                                        หมายเหตุ
                                    </th>
                                    <td mat-cell *matCellDef="let element">
                                        {{ element.comments }}
                                    </td>
                                </ng-container>

                                <tr mat-header-row *matHeaderRowDef="displayedColumnsXray"></tr>
                                <tr mat-row *matRowDef="
                                        let row;
                                        columns: displayedColumnsXray
                                    "></tr>
                            </table>
                        </mat-tab>
                        <mat-tab label="ประวัติแพ้ยา">
                            <table mat-table [dataSource]="dataSourceDrugAllergy" class="mat-elevation-z8">
                                <ng-container matColumnDef="action">
                                    <th mat-header-cell *matHeaderCellDef>#</th>
                                    <td mat-cell *matCellDef="let element">
                                        <mat-checkbox class="example-margin"></mat-checkbox>
                                    </td>
                                </ng-container>

                                <ng-container matColumnDef="drugallergydate">
                                    <th mat-header-cell *matHeaderCellDef>
                                        วันที่บันทึก
                                    </th>
                                    <td mat-cell *matCellDef="let element">
                                        {{ element.begin_date | thaidate }}
                                    </td>
                                </ng-container>

                                <ng-container matColumnDef="drugallergyname">
                                    <th mat-header-cell *matHeaderCellDef>
                                        ชื่อยา
                                    </th>
                                    <td mat-cell *matCellDef="let element">
                                        {{ element.drug_name }}
                                    </td>
                                </ng-container>

                                <ng-container matColumnDef="drugallergysymptom">
                                    <th mat-header-cell *matHeaderCellDef>อาการ</th>
                                    <td mat-cell *matCellDef="let element">
                                        {{ element.symptom }}
                                    </td>
                                </ng-container>

                                <ng-container matColumnDef="drugallergylevel">
                                    <th mat-header-cell *matHeaderCellDef>
                                        ระดับการแพ้
                                    </th>
                                    <td mat-cell *matCellDef="let element">
                                        {{ element.allergy_level }}
                                    </td>
                                </ng-container>

                                <ng-container matColumnDef="drugallergyfind">
                                    <th mat-header-cell *matHeaderCellDef>
                                        หน่วยที่ตรวจพบ
                                    </th>
                                    <td mat-cell *matCellDef="let element">
                                        {{ element.hcode }}
                                    </td>
                                </ng-container>

                                <tr mat-header-row *matHeaderRowDef="displayedColumnsDrugAllergy"></tr>
                                <tr mat-row *matRowDef="
                                        let row;
                                        columns: displayedColumnsDrugAllergy
                                    "></tr>
                            </table>
                        </mat-tab>
                    </mat-tab-group>
                </mat-card>
            </div>
        </div>
    </div>
</div>